/*
 * MudStorm OS
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <system.h>
#include <stdio.h>
#include <delay.h>

void kernel_main(void* mbd, unsigned int magic)
{
	cls();

	Init(magic);

	printf("\n\n\n\t\t\t\tBenvenuto\n");
	
	initShell();
}

void initShell()
{
	string user = NULL;
	string passw = NULL;
	printf("Username[os]: ");
	scanf("%s", user);
	printf("Password[os]: ");
	scanf("%s", passw);

	if(login(user, passw)) 
	{
		DelayS(5);
		cls();
		runShell();
	} else {
		DelayS(5);
		cls();
		initShell();
	}
}
